Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
memory_mapping.hpp File Reference
`#include <osmium/util/file.hpp>`
`#include <cassert>`
`#include <cerrno>`
`#include <cstddef>`
`#include <stdexcept>`
`#include <system_error>`
`#include <sys/mman.h>`
`#include <sys/statvfs.h>`
Include dependency graph for memory_mapping.hpp:

Go to the source code of this file.

## Classes
class | osmium::util::MemoryMapping
class | osmium::util::AnonymousMemoryMapping
class | osmium::util::TypedMemoryMapping< T >
class | osmium::util::AnonymousTypedMemoryMapping< T >

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::util
| Helpful utility classes and functions not strictly OSM related.

## Macros
#define | MAP_ANONYMOUS MAP_ANON

## Macro Definition Documentation

## ◆ MAP_ANONYMOUS

#define MAP_ANONYMOUS MAP_ANON